import type { Props, Emits } from '../src/type';
export declare const useSearchOptions: (prop: Props, emits: Emits) => {
    searchOptions: import("vue").Ref<any, any>;
    buttonSetting: import("vue").Ref<any, any>;
    settingData: import("vue").Ref<never[], never[]>;
    searchList: (formDataValues: any) => void;
    showFilterPanel: any;
};
